EventHttpConnection
EventHttpConnection::getBase
EventHttpConnection
PHP Manual

# EventHttpConnection::__construct

Constructs EventHttpConnection object

### Description

public EventHttpConnection::__construct ( EventBase `$base` , EventDnsBase `$dns_base` , string `$address` , int `$port` )

Constructs EventHttpConnection object.

### Parameters

`base`

  Associated event base.

`dns_base`

  If `dns_base` is `NULL`, hostname resolution will block.

`address`

  The address to connect to.

`port`

  The port to connect to.

### Return Values

Returns EventHttpConnection object.